Skip to Content
veriom

Save architecture canvas

Save the canvas against the version the client loaded. Developers and above may edit.

PUT
/v1/workspaces/{workspace_id}/architecture/canvas

Save the canvas against the version the client loaded. Developers and above may edit.

Authorization

workspaceToken
headerAuthorizationBearer <vat_<opaque-token>>

Expiring, hashed workspace token with explicit scopes.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Query Parameters

repository_id?|

The repository the canvas belongs to; omit for the workspace canvas.

Request Body

application/json
  1. body
document*
version*Version

The version the client loaded; 0 for a new canvas.

Range0 <= value

Response Body

Successful Response

application/json
  1. response
repository_id*|null
scope_key*Scope Key
size_bytes*Size Bytes
updated_at*Updated At
Formatdate-time
updated_by*|null
version*Version
Example Request
curl -X PUT 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture/canvas' \  -H 'Content-Type: application/json' \  -d '{  "document": {},  "version": 0}'
Example Response
{  "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3",  "scope_key": "string",  "size_bytes": 0,  "updated_at": "2019-08-24T14:15:22Z",  "updated_by": "deea00dc-b6b6-4412-a483-26ac61e1f6fe",  "version": 0}